submit_bio
Prev | Chapter 17. Block Devices | Next

## Name

submit_bio —

## Synopsis

`void submit_bio (` | int | rw,
| struct bio * | bio`)`;

## Arguments

`rw`

  whether to `READ` or `WRITE`, or maybe to `READA` (read ahead)

`bio`

  The struct bio which describes the I/O

## Description

`submit_bio` is very similar in purpose to `generic_make_request`, and uses that function to do most of the work. Both are fairly rough interfaces, `bio` must be presetup and ready for I/O.

Prev | Up | Next
blk_insert_request | Home | blk_complete_request